PDA

View Full Version : Ic 305



mouke
04-27-2011, 01:14 PM
Hi,
I just want to Know whether i can use the V3.0 System Controller to my IC303?

Scott_W
04-27-2011, 02:07 PM
Yes you can. It is compatible with older hardware in IC-303

Make sure when you contact your KM dealer to get the update, that you ask for the just-released v3.0a (instead of v3.0, which was released in Dec. 2009)

mouke
04-28-2011, 05:47 AM
Thank you for the reply... I am Submitting now the request to have the Up to date System Controller..